org.eclipse.graphiti.mm.pictograms

## Interface PictogramsPackage.Literals

Enclosing interface:
  PictogramsPackage

    public static interface PictogramsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `ADVANCED_ANCHOR` The meta object literal for the '`Advanced Anchor`' class.
`static org.eclipse.emf.ecore.EAttribute` `ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT` The meta object literal for the 'Use Anchor Location As Connection Endpoint' attribute feature.
`static org.eclipse.emf.ecore.EClass` `ANCHOR` The meta object literal for the '`Anchor`' class.
`static org.eclipse.emf.ecore.EReference` `ANCHOR__INCOMING_CONNECTIONS` The meta object literal for the 'Incoming Connections' reference list feature.
`static org.eclipse.emf.ecore.EReference` `ANCHOR__OUTGOING_CONNECTIONS` The meta object literal for the 'Outgoing Connections' reference list feature.
`static org.eclipse.emf.ecore.EReference` `ANCHOR__PARENT` The meta object literal for the 'Parent' container reference feature.
`static org.eclipse.emf.ecore.EReference` `ANCHOR__REFERENCED_GRAPHICS_ALGORITHM` The meta object literal for the 'Referenced Graphics Algorithm' reference feature.
`static org.eclipse.emf.ecore.EClass` `ANCHOR_CONTAINER` The meta object literal for the '`Anchor Container`' class.
`static org.eclipse.emf.ecore.EReference` `ANCHOR_CONTAINER__ANCHORS` The meta object literal for the 'Anchors' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `BOX_RELATIVE_ANCHOR` The meta object literal for the '`Box Relative Anchor`' class.
`static org.eclipse.emf.ecore.EAttribute` `BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT` The meta object literal for the 'Relative Height' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH` The meta object literal for the 'Relative Width' attribute feature.
`static org.eclipse.emf.ecore.EClass` `CHOPBOX_ANCHOR` The meta object literal for the '`Chopbox Anchor`' class.
`static org.eclipse.emf.ecore.EClass` `COMPOSITE_CONNECTION` The meta object literal for the '`Composite Connection`' class.
`static org.eclipse.emf.ecore.EReference` `COMPOSITE_CONNECTION__CHILDREN` The meta object literal for the 'Children' reference list feature.
`static org.eclipse.emf.ecore.EClass` `CONNECTION` The meta object literal for the '`Connection`' class.
`static org.eclipse.emf.ecore.EReference` `CONNECTION__CONNECTION_DECORATORS` The meta object literal for the 'Connection Decorators' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `CONNECTION__END` The meta object literal for the 'End' reference feature.
`static org.eclipse.emf.ecore.EReference` `CONNECTION__PARENT` The meta object literal for the 'Parent' container reference feature.
`static org.eclipse.emf.ecore.EReference` `CONNECTION__START` The meta object literal for the 'Start' reference feature.
`static org.eclipse.emf.ecore.EClass` `CONNECTION_DECORATOR` The meta object literal for the '`Connection Decorator`' class.
`static org.eclipse.emf.ecore.EReference` `CONNECTION_DECORATOR__CONNECTION` The meta object literal for the 'Connection' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `CONNECTION_DECORATOR__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CONNECTION_DECORATOR__LOCATION_RELATIVE` The meta object literal for the 'Location Relative' attribute feature.
`static org.eclipse.emf.ecore.EClass` `CONTAINER_SHAPE` The meta object literal for the '`Container Shape`' class.
`static org.eclipse.emf.ecore.EReference` `CONTAINER_SHAPE__CHILDREN` The meta object literal for the 'Children' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `CURVED_CONNECTION` The meta object literal for the '`Curved Connection`' class.
`static org.eclipse.emf.ecore.EReference` `CURVED_CONNECTION__CONTROL_POINTS` The meta object literal for the 'Control Points' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `DIAGRAM` The meta object literal for the '`Diagram`' class.
`static org.eclipse.emf.ecore.EReference` `DIAGRAM__COLORS` The meta object literal for the 'Colors' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `DIAGRAM__CONNECTIONS` The meta object literal for the 'Connections' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__DIAGRAM_TYPE_ID` The meta object literal for the 'Diagram Type Id' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DIAGRAM__FONTS` The meta object literal for the 'Fonts' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__GRID_UNIT` The meta object literal for the 'Grid Unit' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DIAGRAM__PICTOGRAM_LINKS` The meta object literal for the 'Pictogram Links' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__SHOW_GUIDES` The meta object literal for the 'Show Guides' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__SNAP_TO_GRID` The meta object literal for the 'Snap To Grid' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__VERSION` The meta object literal for the 'Version' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__VERTICAL_GRID_UNIT` The meta object literal for the 'Vertical Grid Unit' attribute feature.
`static org.eclipse.emf.ecore.EClass` `FIX_POINT_ANCHOR` The meta object literal for the '`Fix Point Anchor`' class.
`static org.eclipse.emf.ecore.EReference` `FIX_POINT_ANCHOR__LOCATION` The meta object literal for the 'Location' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `FREE_FORM_CONNECTION` The meta object literal for the '`Free Form Connection`' class.
`static org.eclipse.emf.ecore.EReference` `FREE_FORM_CONNECTION__BENDPOINTS` The meta object literal for the 'Bendpoints' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `MANHATTAN_CONNECTION` The meta object literal for the '`Manhattan Connection`' class.
`static org.eclipse.emf.ecore.EClass` `PICTOGRAM_ELEMENT` The meta object literal for the '`Pictogram Element`' class.
`static org.eclipse.emf.ecore.EAttribute` `PICTOGRAM_ELEMENT__ACTIVE` The meta object literal for the 'Active' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM` The meta object literal for the 'Graphics Algorithm' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `PICTOGRAM_ELEMENT__LINK` The meta object literal for the 'Link' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `PICTOGRAM_ELEMENT__VISIBLE` The meta object literal for the 'Visible' attribute feature.
`static org.eclipse.emf.ecore.EClass` `PICTOGRAM_LINK` The meta object literal for the '`Pictogram Link`' class.
`static org.eclipse.emf.ecore.EReference` `PICTOGRAM_LINK__BUSINESS_OBJECTS` The meta object literal for the 'Business Objects' reference list feature.
`static org.eclipse.emf.ecore.EReference` `PICTOGRAM_LINK__PICTOGRAM_ELEMENT` The meta object literal for the 'Pictogram Element' container reference feature.
`static org.eclipse.emf.ecore.EClass` `SHAPE` The meta object literal for the '`Shape`' class.
`static org.eclipse.emf.ecore.EReference` `SHAPE__CONTAINER` The meta object literal for the 'Container' container reference feature.

### Field Detail

#### SHAPE

    static final org.eclipse.emf.ecore.EClass SHAPE

The meta object literal for the '`Shape`' class.

See Also:
  `ShapeImpl`, `PictogramsPackageImpl.getShape()`

#### SHAPE__CONTAINER

    static final org.eclipse.emf.ecore.EReference SHAPE__CONTAINER

The meta object literal for the 'Container' container reference feature.

#### CONTAINER_SHAPE

    static final org.eclipse.emf.ecore.EClass CONTAINER_SHAPE

The meta object literal for the '`Container Shape`' class.

See Also:
  `ContainerShapeImpl`, `PictogramsPackageImpl.getContainerShape()`

#### CONTAINER_SHAPE__CHILDREN

    static final org.eclipse.emf.ecore.EReference CONTAINER_SHAPE__CHILDREN

The meta object literal for the 'Children' containment reference list feature.

#### DIAGRAM

    static final org.eclipse.emf.ecore.EClass DIAGRAM

The meta object literal for the '`Diagram`' class.

See Also:
  `DiagramImpl`, `PictogramsPackageImpl.getDiagram()`

#### DIAGRAM__GRID_UNIT

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__GRID_UNIT

The meta object literal for the 'Grid Unit' attribute feature.

#### DIAGRAM__DIAGRAM_TYPE_ID

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__DIAGRAM_TYPE_ID

The meta object literal for the 'Diagram Type Id' attribute feature.

#### DIAGRAM__CONNECTIONS

    static final org.eclipse.emf.ecore.EReference DIAGRAM__CONNECTIONS

The meta object literal for the 'Connections' containment reference list feature.

#### DIAGRAM__NAME

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__NAME

The meta object literal for the 'Name' attribute feature.

#### DIAGRAM__SNAP_TO_GRID

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__SNAP_TO_GRID

The meta object literal for the 'Snap To Grid' attribute feature.

#### DIAGRAM__SHOW_GUIDES

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__SHOW_GUIDES

The meta object literal for the 'Show Guides' attribute feature.

#### DIAGRAM__COLORS

    static final org.eclipse.emf.ecore.EReference DIAGRAM__COLORS

The meta object literal for the 'Colors' containment reference list feature.

#### DIAGRAM__FONTS

    static final org.eclipse.emf.ecore.EReference DIAGRAM__FONTS

The meta object literal for the 'Fonts' containment reference list feature.

#### DIAGRAM__PICTOGRAM_LINKS

    static final org.eclipse.emf.ecore.EReference DIAGRAM__PICTOGRAM_LINKS

The meta object literal for the 'Pictogram Links' reference list feature.

#### DIAGRAM__VERTICAL_GRID_UNIT

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__VERTICAL_GRID_UNIT

The meta object literal for the 'Vertical Grid Unit' attribute feature.

#### DIAGRAM__VERSION

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__VERSION

The meta object literal for the 'Version' attribute feature.

Since:
  0.9

#### PICTOGRAM_ELEMENT

    static final org.eclipse.emf.ecore.EClass PICTOGRAM_ELEMENT

The meta object literal for the '`Pictogram Element`' class.

See Also:
  `PictogramElementImpl`, `PictogramsPackageImpl.getPictogramElement()`

#### PICTOGRAM_ELEMENT__VISIBLE

    static final org.eclipse.emf.ecore.EAttribute PICTOGRAM_ELEMENT__VISIBLE

The meta object literal for the 'Visible' attribute feature.

#### PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM

    static final org.eclipse.emf.ecore.EReference PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM

The meta object literal for the 'Graphics Algorithm' containment reference feature.

#### PICTOGRAM_ELEMENT__ACTIVE

    static final org.eclipse.emf.ecore.EAttribute PICTOGRAM_ELEMENT__ACTIVE

The meta object literal for the 'Active' attribute feature.

#### PICTOGRAM_ELEMENT__LINK

    static final org.eclipse.emf.ecore.EReference PICTOGRAM_ELEMENT__LINK

The meta object literal for the 'Link' containment reference feature.

#### CONNECTION

    static final org.eclipse.emf.ecore.EClass CONNECTION

The meta object literal for the '`Connection`' class.

See Also:
  `ConnectionImpl`, `PictogramsPackageImpl.getConnection()`

#### CONNECTION__START

    static final org.eclipse.emf.ecore.EReference CONNECTION__START

The meta object literal for the 'Start' reference feature.

#### CONNECTION__END

    static final org.eclipse.emf.ecore.EReference CONNECTION__END

The meta object literal for the 'End' reference feature.

#### CONNECTION__PARENT

    static final org.eclipse.emf.ecore.EReference CONNECTION__PARENT

The meta object literal for the 'Parent' container reference feature.

#### CONNECTION__CONNECTION_DECORATORS

    static final org.eclipse.emf.ecore.EReference CONNECTION__CONNECTION_DECORATORS

The meta object literal for the 'Connection Decorators' containment reference list feature.

#### ANCHOR

    static final org.eclipse.emf.ecore.EClass ANCHOR

The meta object literal for the '`Anchor`' class.

See Also:
  `AnchorImpl`, `PictogramsPackageImpl.getAnchor()`

#### ANCHOR__PARENT

    static final org.eclipse.emf.ecore.EReference ANCHOR__PARENT

The meta object literal for the 'Parent' container reference feature.

#### ANCHOR__OUTGOING_CONNECTIONS

    static final org.eclipse.emf.ecore.EReference ANCHOR__OUTGOING_CONNECTIONS

The meta object literal for the 'Outgoing Connections' reference list feature.

#### ANCHOR__INCOMING_CONNECTIONS

    static final org.eclipse.emf.ecore.EReference ANCHOR__INCOMING_CONNECTIONS

The meta object literal for the 'Incoming Connections' reference list feature.

#### ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

    static final org.eclipse.emf.ecore.EReference ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

The meta object literal for the 'Referenced Graphics Algorithm' reference feature.

#### ANCHOR_CONTAINER

    static final org.eclipse.emf.ecore.EClass ANCHOR_CONTAINER

The meta object literal for the '`Anchor Container`' class.

See Also:
  `AnchorContainerImpl`, `PictogramsPackageImpl.getAnchorContainer()`

#### ANCHOR_CONTAINER__ANCHORS

    static final org.eclipse.emf.ecore.EReference ANCHOR_CONTAINER__ANCHORS

The meta object literal for the 'Anchors' containment reference list feature.

#### FIX_POINT_ANCHOR

    static final org.eclipse.emf.ecore.EClass FIX_POINT_ANCHOR

The meta object literal for the '`Fix Point Anchor`' class.

See Also:
  `FixPointAnchorImpl`, `PictogramsPackageImpl.getFixPointAnchor()`

#### FIX_POINT_ANCHOR__LOCATION

    static final org.eclipse.emf.ecore.EReference FIX_POINT_ANCHOR__LOCATION

The meta object literal for the 'Location' containment reference feature.

#### BOX_RELATIVE_ANCHOR

    static final org.eclipse.emf.ecore.EClass BOX_RELATIVE_ANCHOR

The meta object literal for the '`Box Relative Anchor`' class.

See Also:
  `BoxRelativeAnchorImpl`, `PictogramsPackageImpl.getBoxRelativeAnchor()`

#### BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH

    static final org.eclipse.emf.ecore.EAttribute BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH

The meta object literal for the 'Relative Width' attribute feature.

#### BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT

    static final org.eclipse.emf.ecore.EAttribute BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT

The meta object literal for the 'Relative Height' attribute feature.

#### CHOPBOX_ANCHOR

    static final org.eclipse.emf.ecore.EClass CHOPBOX_ANCHOR

The meta object literal for the '`Chopbox Anchor`' class.

See Also:
  `ChopboxAnchorImpl`, `PictogramsPackageImpl.getChopboxAnchor()`

#### CONNECTION_DECORATOR

    static final org.eclipse.emf.ecore.EClass CONNECTION_DECORATOR

The meta object literal for the '`Connection Decorator`' class.

See Also:
  `ConnectionDecoratorImpl`, `PictogramsPackageImpl.getConnectionDecorator()`

#### CONNECTION_DECORATOR__LOCATION_RELATIVE

    static final org.eclipse.emf.ecore.EAttribute CONNECTION_DECORATOR__LOCATION_RELATIVE

The meta object literal for the 'Location Relative' attribute feature.

#### CONNECTION_DECORATOR__LOCATION

    static final org.eclipse.emf.ecore.EAttribute CONNECTION_DECORATOR__LOCATION

The meta object literal for the 'Location' attribute feature.

#### CONNECTION_DECORATOR__CONNECTION

    static final org.eclipse.emf.ecore.EReference CONNECTION_DECORATOR__CONNECTION

The meta object literal for the 'Connection' container reference feature.

#### FREE_FORM_CONNECTION

    static final org.eclipse.emf.ecore.EClass FREE_FORM_CONNECTION

The meta object literal for the '`Free Form Connection`' class.

See Also:
  `FreeFormConnectionImpl`, `PictogramsPackageImpl.getFreeFormConnection()`

#### FREE_FORM_CONNECTION__BENDPOINTS

    static final org.eclipse.emf.ecore.EReference FREE_FORM_CONNECTION__BENDPOINTS

The meta object literal for the 'Bendpoints' containment reference list feature.

#### MANHATTAN_CONNECTION

    static final org.eclipse.emf.ecore.EClass MANHATTAN_CONNECTION

The meta object literal for the '`Manhattan Connection`' class.

See Also:
  `ManhattanConnectionImpl`, `PictogramsPackageImpl.getManhattanConnection()`

#### PICTOGRAM_LINK

    static final org.eclipse.emf.ecore.EClass PICTOGRAM_LINK

The meta object literal for the '`Pictogram Link`' class.

See Also:
  `PictogramLinkImpl`, `PictogramsPackageImpl.getPictogramLink()`

#### PICTOGRAM_LINK__PICTOGRAM_ELEMENT

    static final org.eclipse.emf.ecore.EReference PICTOGRAM_LINK__PICTOGRAM_ELEMENT

The meta object literal for the 'Pictogram Element' container reference feature.

#### PICTOGRAM_LINK__BUSINESS_OBJECTS

    static final org.eclipse.emf.ecore.EReference PICTOGRAM_LINK__BUSINESS_OBJECTS

The meta object literal for the 'Business Objects' reference list feature.

#### ADVANCED_ANCHOR

    static final org.eclipse.emf.ecore.EClass ADVANCED_ANCHOR

The meta object literal for the '`Advanced Anchor`' class.

Since:
  0.9
See Also:
  `AdvancedAnchorImpl`, `PictogramsPackageImpl.getAdvancedAnchor()`

#### ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

    static final org.eclipse.emf.ecore.EAttribute ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

The meta object literal for the 'Use Anchor Location As Connection Endpoint' attribute feature.

Since:
  0.9

#### CURVED_CONNECTION

    static final org.eclipse.emf.ecore.EClass CURVED_CONNECTION

The meta object literal for the '`Curved Connection`' class.

Since:
  0.9
See Also:
  `CurvedConnectionImpl`, `PictogramsPackageImpl.getCurvedConnection()`

#### CURVED_CONNECTION__CONTROL_POINTS

    static final org.eclipse.emf.ecore.EReference CURVED_CONNECTION__CONTROL_POINTS

The meta object literal for the 'Control Points' containment reference list feature.

Since:
  0.9

#### COMPOSITE_CONNECTION

    static final org.eclipse.emf.ecore.EClass COMPOSITE_CONNECTION

The meta object literal for the '`Composite Connection`' class.

Since:
  0.9
See Also:
  `CompositeConnectionImpl`, `PictogramsPackageImpl.getCompositeConnection()`

#### COMPOSITE_CONNECTION__CHILDREN

    static final org.eclipse.emf.ecore.EReference COMPOSITE_CONNECTION__CHILDREN

The meta object literal for the 'Children' reference list feature.

Since:
  0.9